pn_connection_engine_t Struct Reference
The Connection Engine

A connection engine is a trio of pn_connection_t, pn_transport_t and pn_collector_t. More...

`#include <connection_engine.h>`

## Data Fields

pn_connection_t * | connection
pn_transport_t * | transport
pn_collector_t * | collector
pn_event_t * | event

## Detailed Description

A connection engine is a trio of pn_connection_t, pn_transport_t and pn_collector_t.

Use the pn_connection_engine_*() functions to operate on it. It is a plain struct, not a proton object. Use pn_connection_engine_init to set up the initial objects and pn_connection_engine_final to release them.

## Field Documentation

## collector

pn_collector_t* pn_connection_engine_t::collector

## connection

pn_connection_t* pn_connection_engine_t::connection

## event

pn_event_t* pn_connection_engine_t::event

## transport

pn_transport_t* pn_connection_engine_t::transport

The documentation for this struct was generated from the following file:

- /build/qpid-proton-4llz2H/qpid-proton-0.14.0/proton-c/include/proton/connection_engine.h